Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.blojsom.extension.xmlrpc.handler
Class MovableTypeAPIHandler

    java.lang.Object
      org.blojsom.extension.xmlrpc.handler.APIHandler
          org.blojsom.extension.xmlrpc.handler.MovableTypeAPIHandler

public class MovableTypeAPIHandler
extends APIHandler

MovableType API handler

Since:
  blojsom 3.0
Version:
  $Id: MovableTypeAPIHandler.java,v 1.2 2006/04/27 20:03:00 czarneckid Exp $
Author:
  David Czarnecki

Field Summary

Fields inherited from class org.blojsom.extension.xmlrpc.handler.APIHandler
`_authorizationProvider, _blog, _eventBroadcaster, _fetcher, _httpServletRequest, _httpServletResponse, _properties, _servletConfig, AUTHORIZATION_EXCEPTION, AUTHORIZATION_EXCEPTION_MSG, INVALID_POSTID, INVALID_POSTID_MSG, NOBLOGS_EXCEPTION, NOBLOGS_EXCEPTION_MSG, PERMISSION_EXCEPTION, PERMISSION_EXCEPTION_MSG, UNKNOWN_EXCEPTION, UNKNOWN_EXCEPTION_MSG, UNSUPPORTED_EXCEPTION, UNSUPPORTED_EXCEPTION_MSG`

Constructor Summary
`MovableTypeAPIHandler()` Construct a new MovableType API handler

Method Summary
`java.lang.Object` | `getCategoryList(java.lang.String blogID, java.lang.String username, java.lang.String password)` Returns a list of all categories defined in the weblog.
`java.lang.String` | `getName()` Gets the name of API Handler.
`java.lang.Object` | `getPostCategories(java.lang.String postID, java.lang.String username, java.lang.String password)` Returns a list of all categories to which the post is assigned.
`java.lang.Object` | `getRecentPostTitles(java.lang.String blogID, java.lang.String username, java.lang.String password, int numberOfPosts)` Returns a bandwidth-friendly list of the most recent posts in the system.
`java.lang.Object` | `getTrackbackPings(java.lang.String postID)` Retrieve the list of TrackBack pings posted to a particular entry
`boolean` | `publishPost(java.lang.String postID, java.lang.String username, java.lang.String password)` Publish (rebuild) all of the static files related to an entry from your weblog.
`boolean` | `setPostCategories(java.lang.String postID, java.lang.String username, java.lang.String password, java.util.Vector categories)` Sets the categories for a post.
`java.lang.Object` | `supportedMethods()` Retrieve information about the XML-RPC methods supported by the server.
`java.lang.Object` | `supportedTextFilters()` Retrieve information about the text formatting plugins supported by the server.

Methods inherited from class org.blojsom.extension.xmlrpc.handler.APIHandler
`checkXMLRPCPermission, setAuthorizationProvider, setBlog, setEventBroadcaster, setFetcher, setHttpServletRequest, setHttpServletResponse, setProperties, setServletConfig`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MovableTypeAPIHandler

    public MovableTypeAPIHandler()

  Construct a new MovableType API handler

Method Detail

### getName

    public java.lang.String getName()

  Gets the name of API Handler. Used to bind to XML-RPC

  Specified by:
    `getName` in class `APIHandler`
  Returns:
    The API Name (ie: blogger)

### getRecentPostTitles

    public java.lang.Object getRecentPostTitles(java.lang.String blogID,
                                                java.lang.String username,
                                                java.lang.String password,
                                                int numberOfPosts)
                                         throws java.lang.Exception

  Returns a bandwidth-friendly list of the most recent posts in the system.

  Parameters:
    `blogID` - Blog ID
    `username` - Username
    `password` - Password
    `numberOfPosts` - Number of titles to retrieve
  Returns:
    Bandwidth-friendly list of the most recent posts in the system
  Throws:
    `java.lang.Exception` - If there is an error retrieving post titles

### getCategoryList

    public java.lang.Object getCategoryList(java.lang.String blogID,
                                            java.lang.String username,
                                            java.lang.String password)
                                     throws java.lang.Exception

  Returns a list of all categories defined in the weblog.

  Parameters:
    `blogID` - Blog ID
    `username` - Username
    `password` - Password
  Returns:
    List of all categories defined in the weblog
  Throws:
    `java.lang.Exception` - If there is an error getting the category list

### getPostCategories

    public java.lang.Object getPostCategories(java.lang.String postID,
                                              java.lang.String username,
                                              java.lang.String password)
                                       throws java.lang.Exception

  Returns a list of all categories to which the post is assigned. Since we only support single categories at the moment, just return a single structure.

  Parameters:
    `postID` - Post ID
    `username` - Username
    `password` - Password
  Returns:
    An array of structs containing String categoryName, String categoryId, and boolean isPrimary
  Throws:
    `java.lang.Exception`

### setPostCategories

    public boolean setPostCategories(java.lang.String postID,
                                     java.lang.String username,
                                     java.lang.String password,
                                     java.util.Vector categories)
                              throws java.lang.Exception

  Sets the categories for a post.

  Parameters:
    `postID` - Post ID
    `username` - Username
    `password` - Password
    `categories` - Array of structs containing String categoryId and boolean isPrimary
  Returns:
    `true` if categories set for a post
  Throws:
    `java.lang.Exception` - If there is an error setting the categories for a post

### supportedMethods

    public java.lang.Object supportedMethods()
                                      throws java.lang.Exception

  Retrieve information about the XML-RPC methods supported by the server.

  Returns:
    Array of method names supported by the server
  Throws:
    `java.lang.Exception` - If there is an error retrieving the list of supported XML-RPC methods.

### supportedTextFilters

    public java.lang.Object supportedTextFilters()
                                          throws java.lang.Exception

  Retrieve information about the text formatting plugins supported by the server.

  Returns:
    An array of structs containing String key and String label. key is the unique string identifying a text formatting plugin, and label is the readable description to be displayed to a user
  Throws:
    `java.lang.Exception` - If there is an error retrieving the list of plugins

### getTrackbackPings

    public java.lang.Object getTrackbackPings(java.lang.String postID)
                                       throws java.lang.Exception

  Retrieve the list of TrackBack pings posted to a particular entry

  Parameters:
    `postID` - Post ID
  Returns:
    An array of structs containing String pingTitle (the title of the entry sent in the ping), String pingURL (the URL of the entry), and String pingIP (the IP address of the host that sent the ping)
  Throws:
    `java.lang.Exception` - If there is an error retrieving trackbacks for an entry

### publishPost

    public boolean publishPost(java.lang.String postID,
                               java.lang.String username,
                               java.lang.String password)
                        throws java.lang.Exception

  Publish (rebuild) all of the static files related to an entry from your weblog. Equivalent to saving an entry in the system (but without the ping)

  Parameters:
    `postID` - Post ID
    `username` - Username
    `password` - Password
  Returns:
    `true` if post published
  Throws:
    `java.lang.Exception` - If there is an error publishing the post

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD